pdns (4.8.3-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:13:55 +1100

pdns (4.8.3-4build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:51:49 +0000

pdns (4.8.3-4build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:35:09 +0000

pdns (4.8.3-4) unstable; urgency=medium

  * tests: mark tests as skippable for exit code 77 (Closes: #1059995)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 26 Feb 2024 02:41:58 +0100

pdns (4.8.3-3) unstable; urgency=medium

  * tests: Abort if IPC namespaces do not work (Closes: #1059995)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jan 2024 12:11:54 +0100

pdns (4.8.3-2) unstable; urgency=medium

  * Automatically discover systemdsystemunitdir
  * Switch from pkg-config to pkgconf

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 21 Oct 2023 19:14:52 +0200

pdns (4.8.3-1) unstable; urgency=medium

  * New upstream version 4.8.3

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 06 Oct 2023 03:32:43 +0200

pdns (4.8.2-2) unstable; urgency=medium

  * Drop debci workaround introduced in 4.8.1-2.
    Mitigated in debci.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 11 Sep 2023 15:54:49 +0200

pdns (4.8.2-1) unstable; urgency=medium

  * New upstream version 4.8.2
  * Apply wrap-and-sort -kas
  * Update Vcs-* headers for move to debian namespace

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 07 Sep 2023 12:17:24 +0200

pdns (4.8.1-2) unstable; urgency=medium

  [ Andreas Jakum ]
  * Add missing tools to pdns-tools package description

  [ Chris Hofstaedtler ]
  * Properly cleanup after tests-source/smoke-lmdb (Closes: #1048680)
  * tests: add autopkgtest for lmdbbackend
  * autopkgtest: Improve error reporting
  * autopkgtest: Workaround ownership issue for LMDB files

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 24 Aug 2023 17:46:32 +0200

pdns (4.8.1-1) unstable; urgency=medium

  * autopkgtest: try to workaround isolation restrictions in debci
  * New upstream version 4.8.1

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 09 Jul 2023 20:50:25 +0200

pdns (4.8.0-2) unstable; urgency=medium

  [ Peter van Dijk ]
  * Use sdig for smoke tests. Avoids errors from dig with certain
    /etc/resolv.conf content.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 04 Jul 2023 10:42:01 +0200

pdns (4.8.0-1) unstable; urgency=medium

  * New upstream version 4.8.0
  * Lessen lintian override restrictions

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 27 Jun 2023 16:42:28 +0200

pdns (4.7.3-2) unstable; urgency=medium

  * Build-Depend on architecture-is-64-bit (for time_t) (Closes: #1011259)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 25 Dec 2022 10:43:16 +0000

pdns (4.7.3-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Add support for riscv64 arch (Closes: #1025039)

  [ Chris Hofstaedtler ]
  * New upstream version 4.7.3

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 09 Dec 2022 15:56:00 +0000

pdns (4.7.2-1) unstable; urgency=medium

  * New upstream version 4.7.2
  * Set explicit architecture list, to 64bit-time_t architectures.
    A better way of restricting where to build would be very welcome.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 01 Nov 2022 14:24:15 +0000

pdns (4.7.1-1) unstable; urgency=medium

  * New upstream version 4.7.1
  * Update (and trim) NEWS

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 29 Oct 2022 18:34:58 +0000

pdns (4.6.3-1) unstable; urgency=medium

  * New upstream version 4.6.3

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 14 Jul 2022 09:20:27 +0000

pdns (4.6.2-1) unstable; urgency=medium

  * New upstream version 4.6.2

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 14 Apr 2022 20:06:44 +0000

pdns (4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1, fixes CVE-2022-27227

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 28 Mar 2022 16:48:27 +0000

pdns (4.5.3-1) unstable; urgency=medium

  * New upstream version 4.5.3

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 23 Jan 2022 15:01:20 +0000

pdns (4.5.2-1) unstable; urgency=medium

  * New upstream version 4.5.2

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 10 Nov 2021 09:56:06 +0000

pdns (4.5.1-1) unstable; urgency=medium

  * New upstream version 4.5.1
    Note: requires 64bit time_t support, thus not all current
    Debian architectures are supported.
  * NEWS: remove outdated words
  * NEWS: Note that lots of config parameters have changed names
  * Remove upstream-metadata-field-unknown Homepage
  * Update debian/copyright
  * Update gsqlite3, lua2 example config files

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Nov 2021 17:27:59 +0000

pdns (4.4.1-4) unstable; urgency=medium

  * Disable "random" backend.
    Removed upstream in 4.6.0.
  * tests-source: improve waiting for pdns to start and give it more time.
    This hopefully fixes the reported FTBFS on loaded machines.
    (Closes: #998547)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Nov 2021 16:31:30 +0000

pdns (4.4.1-3) unstable; urgency=medium

  * Upload to unstable.
  * Unconditionally depend on libsystemd-dev.
    Already was required by d/rules.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 20 Aug 2021 16:33:09 +0000

pdns (4.4.1-2) experimental; urgency=medium

  * Build with fixed luajit on arm64

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 17 Feb 2021 16:29:25 +0000

pdns (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1 with important bugfixes
    * Drop upstream-applied patches
  * pdns-backend-odbc: remove duplicate schema file
  * Use Lua 5.3 again on platforms not having luajit
  * Remove outdated comment about make test
  * supported-algos test: add ED448
  * Enable PKCS11
  * I have re-synced our and upstreams packaging, so they are now
    as similar as possible.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Feb 2021 15:01:51 +0000

pdns (4.4.0-3) unstable; urgency=medium

  * Build new pdns-backend-{lua2,lmdb} packages

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 05 Jan 2021 09:08:55 +0000

pdns (4.4.0-2) unstable; urgency=medium

  * ixfrdist: comment out default values
  * Update example config files for shipped backends
  * d/copyright: update
  * d/README.source: update, note upstream alignment
  * Add patch for future gcc-11 build failure

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 28 Dec 2020 02:12:28 +0000

pdns (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0 (Closes: #975590)
  * Remove upstream-applied patches
  * Bump Standards-Version to 4.5.1
  * Build with luajit on amd64, and Lua 5.1 on other archs.
    Once #908137 is fixed, we should enable luajit on arm64 too.
    Unfortunately we were building with Lua 5.3 earlier, so this
    is a feature "regression" of sorts - but it can be much faster.

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 17 Dec 2020 20:51:32 +0000

pdns (4.3.1-2) unstable; urgency=medium

  * Apply upstream patch to improve MySQL 8 character handling

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 25 Nov 2020 21:16:04 +0000

pdns (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1
    Fixes CVE-2020-17482 (Closes: #970737)
  * Remove upstream-applied patch for MySQL stored procedures.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 22 Sep 2020 20:25:52 +0000

pdns (4.3.0-5) unstable; urgency=medium

  * postinst: remove user/group existence checks
  * geoip: update config example.
    Thanks to Remi Gacogne <remi.gacogne@powerdns.com>
  * Add test for mysql with stored procedures
  * Fix mysql stored procedures using upstream patch (Closes: #969091)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 03 Sep 2020 16:08:42 +0000

pdns (4.3.0-4) unstable; urgency=medium

  * Update READMEs and tests to include chgrp as needed

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 04 May 2020 11:07:59 +0000

pdns (4.3.0-3) unstable; urgency=medium

  * Fix build failure on !amd64

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 03 May 2020 21:53:07 +0000

pdns (4.3.0-2) unstable; urgency=medium

  * Re-release as 4.3.0-2 to work around upload problem.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 03 May 2020 20:54:33 +0000

pdns (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0
  * Follow upstream init support changes.
    Upstream has moved around socket dir and there are known issues with the
    init scripts. Operators will be better off just using the systemd units
    instead.
    pdns-server now starts as the pdns user, so powerdns.conf needs to be
    readable by this user; postinst fixes this.
  * Remove packages for upstream removed backends: lua, mydns
  * Enable core features: Lua records, protobuf
  * pdns-backend-bind: install schema files
  * Bump Standards-Version to 4.5.0
  * Use debhelper v13

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 07 Apr 2020 15:26:55 +0000

pdns (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 02 Dec 2019 22:47:13 +0000

pdns (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0, upload to unstable.
  * pdns-backend-sqlite3: ensure default database path is writable.
    Needed for WAL mode.
  * d/copyright: Update
  * Build, but do not actually ship new LMDB backend
  * Qualify built binaries at build time

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 30 Aug 2019 10:53:16 +0000

pdns (4.2.0~rc2-1) experimental; urgency=medium

  * New upstream version 4.2.0~rc2 (Closes: #918661, #916408)
  * Bump Standards-Version to 4.4.0
  * Use debhelper-compat v12
  * Revert "Link with libatomic.so to fix build failure on armel"
  * Ship DEP12 UpstreamMetadata per user request
  * Remove pdns-backend-opendbx.
    OpenDBX is unmaintained in Debian and possibly upstream, too.
  * Use pdns_control rping in init script.
    Makes the init script useful on systemd systems, too. (Closes: #876775)
  * autopkgtests: add more guessed workarounds for debci
  * Build-Depend on systemd for proper version detection
  * Remove preinst code for upgrades from before 4.0.0-3
  * Remove ddeb/dbgsym breaks, from before 4.0.0
  * d/control: simplify Build-Depends and remove old Breaks/Replaces
  * d/rules: simplify and sync with dnsdist, pdns-recursor
  * pdns-ixfrdist: Add ixfrdist init script
  * backends: take schema files from `make install` location
  * pdns-tools: install dnspcap2calidns, stubquery

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 21 Jul 2019 20:59:16 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog pdns-server`.
